ChangeSet 1.1291, 2003/06/04 17:41:14-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/ppc/platforms/prep_pci.c


 arch/ppc/platforms/prep_pci.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)


diff -Nru a/arch/ppc/platforms/prep_pci.c b/arch/ppc/platforms/prep_pci.c
--- a/arch/ppc/platforms/prep_pci.c	Wed Jun  4 18:07:14 2003
+++ b/arch/ppc/platforms/prep_pci.c	Wed Jun  4 18:07:14 2003
@@ -1171,7 +1171,7 @@
 void __init
 prep_pcibios_fixup(void)
 {
-        struct pci_dev *dev;
+        struct pci_dev *dev = NULL;
         extern unsigned char *Motherboard_map;
         extern unsigned char *Motherboard_routes;
 
@@ -1180,7 +1180,7 @@
 	printk("Setting PCI interrupts for a \"%s\"\n", Motherboard_map_name);
 	if (OpenPIC_Addr) {
 		/* PCI interrupts are controlled by the OpenPIC */
-		pci_for_each_dev(dev) {
+		while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 			if (dev->bus->number == 0) {
                        		dev->irq = openpic_to_irq(Motherboard_map[PCI_SLOT(dev->devfn)]);
 				pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
@@ -1196,7 +1196,8 @@
 		return;
 	}
 
-	pci_for_each_dev(dev) {
+	dev = NULL;
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		/*
 		 * Use our old hard-coded kludge to figure out what
 		 * irq this device uses.  This is necessary on things
